Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.swing
Enum SwingWorker.StateValue

    java.lang.Object
      java.lang.Enum<SwingWorker.StateValue>
          javax.swing.SwingWorker.StateValue

All Implemented Interfaces:
  Serializable, Comparable<SwingWorker.StateValue>

Enclosing class:
  SwingWorker<T,V>

    public static enum SwingWorker.StateValue

extends Enum<SwingWorker.StateValue>

Values for the `state` bound property.

Since:
  1.6

Enum Constant Summary
`DONE` `SwingWorker` is `DONE` after `doInBackground` method is finished.
`PENDING` Initial `SwingWorker` state.
`STARTED` `SwingWorker` is `STARTED` before invoking `doInBackground`.

Method Summary
`static SwingWorker.StateValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SwingWorker.StateValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final SwingWorker.StateValue PENDING

  Initial `SwingWorker` state.

### STARTED

    public static final SwingWorker.StateValue STARTED

  `SwingWorker` is `STARTED` before invoking `doInBackground`.

### DONE

    public static final SwingWorker.StateValue DONE

  `SwingWorker` is `DONE` after `doInBackground` method is finished.

Method Detail

### values

    public static SwingWorker.StateValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SwingWorker.StateValue c : SwingWorker.StateValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SwingWorker.StateValue valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.